local source1

function love.load ()
  source1 = love.audio.newSource ('antibirth_intro.wav', 'stream')
  source2 = love.audio.newSource ('antibirth_loop.wav', 'stream')
  source1:setLooping (false)
  source1:stop()
  source1:play()

  started = false
end

function love.update(dt)
  if source1:tell() > 0 then
    started = true
  end
  if started == true and source1:tell() == 0 then
  source2:setLooping(false)
  source2:play()
  end
end

function love.draw ()
  local x, y, w, h = 25, 25, 105, 25
  love.graphics.setColor(1, 0,1)
  love.graphics.rectangle ('line', x+0.5, y+0.5, w, h)
  love.graphics.rectangle ('fill', x, y, w * source1:tell () / source1:getDuration (), h)
  love.graphics.print("tell = " .. source1:tell("seconds"))
  love.graphics.setColor(1, 1,1)
  love.graphics.rectangle ('line', x+0.5, y+0.5, w, h)
  love.graphics.rectangle ('fill', x, y, w * source2:tell () / source2:getDuration (), h)
  love.graphics.print("r to restart", 125, 125)

  if source1:tell() ~= 0 then
    print("tell = " .. source1:tell("seconds"))
  end
end


--dont delete
function love.keypressed(key, isrepeat)
  if key == 'r' then love.event.quit "restart" end
end
